diff --git a/Languages/ISO639-2-LanguageCodes.rdf b/Languages/ISO639-2-LanguageCodes.rdf
index 2655b2a..844ab14 100644
--- a/Languages/ISO639-2-LanguageCodes.rdf
+++ b/Languages/ISO639-2-LanguageCodes.rdf
@@ -8477,8 +8477,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tumbuka language</skos:definition>
       <rdfs:label>Tumbuka</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tumbuka</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tumbuka</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tumbuka</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tumbuka</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8486,8 +8486,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Tupi languages family</skos:definition>
       <rdfs:label>Tupi languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tupi languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tupi, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tupi languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tupi, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8496,8 +8496,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tuvalu language</skos:definition>
       <rdfs:label>Tuvalu</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tuvalu</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">tuvalu</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tuvalu</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">tuvalu</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8506,8 +8506,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Tuvinian language</skos:definition>
       <rdfs:label>Tuvinian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Tuvinian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">touva</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Tuvinian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">touva</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8516,8 +8516,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Udmurt language</skos:definition>
       <rdfs:label>Udmurt</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Udmurt</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">oudmourte</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Udmurt</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">oudmourte</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8526,8 +8526,8 @@
       <rdf:type rdf:resource="&lcc-lr;IndividualLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Ugaritic language</skos:definition>
       <rdfs:label>Ugaritic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ugaritic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ougaritique</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Ugaritic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">ougaritique</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8536,8 +8536,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Umbundu language</skos:definition>
       <rdfs:label>Umbundu</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Umbundu</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">umbundu</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Umbundu</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">umbundu</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8545,8 +8545,8 @@
       <rdf:type rdf:resource="&lcc-lr;SpecialPurposeLanguageConcept"/>
       <skos:definition rdf:datatype="&xsd;string">Undetermined special purpose language concept</skos:definition>
       <rdfs:label>Undetermined</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Undetermined</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">indéterminée</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Undetermined</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">indéterminée</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8555,8 +8555,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Upper Sorbian language</skos:definition>
       <rdfs:label>Upper Sorbian</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Upper Sorbian</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">haut-sorabe</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Upper Sorbian</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">haut-sorabe</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8565,8 +8565,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Vai language</skos:definition>
       <rdfs:label>Vai</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Vai</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">vaï</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Vai</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">vaï</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8575,8 +8575,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Votic language</skos:definition>
       <rdfs:label>Votic</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Votic</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">vote</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Votic</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">vote</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8584,8 +8584,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Wakashan languages family</skos:definition>
       <rdfs:label>Wakashan languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Wakashan languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">wakashanes, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Wakashan languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">wakashanes, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8594,11 +8594,11 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Wolaitta language</skos:definition>
       <rdfs:label>Wolaitta</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Wolaitta</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Wolaytta</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">wolaitta</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">wolaytta</lcc-lr:hasFrenchName>
-      <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Walamo-Sprache</lcc-lr:hasGermanName>
+      <lcc-lr:hasEnglishName xml:lang="en">Wolaitta</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Wolaytta</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">wolaitta</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">wolaytta</lcc-lr:hasFrenchName>
+      <lcc-lr:hasGermanName xml:lang="ge">Walamo-Sprache</lcc-lr:hasGermanName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8607,8 +8607,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Waray language</skos:definition>
       <rdfs:label>Waray</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Waray (Philippines)</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">waray</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Waray (Philippines)</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">waray</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8617,8 +8617,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Washo language</skos:definition>
       <rdfs:label>Washo</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Washo</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">washo</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Washo</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">washo</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8627,8 +8627,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Yakut language</skos:definition>
       <rdfs:label>Yakut</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yakut</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">iakoute</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Yakut</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">iakoute</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8637,8 +8637,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Yao language</skos:definition>
       <rdfs:label>Yao</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yao</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yao</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Yao</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">yao</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8647,8 +8647,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Yapese language</skos:definition>
       <rdfs:label>Yapese</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yapese</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yapois</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Yapese</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">yapois</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8656,8 +8656,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Yupik languages family</skos:definition>
       <rdfs:label>Yupik languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Yupik languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">yupik, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Yupik languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">yupik, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8665,8 +8665,8 @@
       <rdf:type rdf:resource="&lcc-lr;LanguageFamily"/>
       <skos:definition rdf:datatype="&xsd;string">Zande languages family</skos:definition>
       <rdfs:label>Zande languages</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zande languages</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zandé, langues</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zande languages</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zandé, langues</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8675,8 +8675,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Zapotec</skos:definition>
       <rdfs:label>Zapotec</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zapotec</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zapotèque</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zapotec</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zapotèque</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8685,18 +8685,18 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Language code for Zaza</skos:definition>
       <rdfs:label>Zaza</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dimili</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Dimli</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kirdki</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kirmanjki</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zaza</lcc-lr:hasEnglishName>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zazaki</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dimili</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">dimli</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kirdki</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kirmanjki</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zaza</lcc-lr:hasFrenchName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zazaki</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dimili</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Dimli</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kirdki</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Kirmanjki</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zaza</lcc-lr:hasEnglishName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zazaki</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dimili</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">dimli</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kirdki</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">kirmanjki</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zaza</lcc-lr:hasFrenchName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zazaki</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8705,8 +8705,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Zenaga language</skos:definition>
       <rdfs:label>Zenaga</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zenaga</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zenaga</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zenaga</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zenaga</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
@@ -8715,8 +8715,8 @@
       <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
       <skos:definition rdf:datatype="&xsd;string">Zuni language</skos:definition>
       <rdfs:label>Zuni</rdfs:label>
-      <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Zuni</lcc-lr:hasEnglishName>
-      <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">zuni</lcc-lr:hasFrenchName>
+      <lcc-lr:hasEnglishName xml:lang="en">Zuni</lcc-lr:hasEnglishName>
+      <lcc-lr:hasFrenchName xml:lang="fr">zuni</lcc-lr:hasFrenchName>
       <rdfs:isDefinedBy rdf:resource="&lcc-639-2;"/>
    </owl:NamedIndividual>
 
-- 
2.18.0.windows.1

